org.apache.fop.afp.fonts

## Class AFPBase12FontCollection

- java.lang.Object
- - org.apache.fop.afp.fonts.AFPBase12FontCollection

- All Implemented Interfaces:
    FontCollection

      public class AFPBase12FontCollection
      extends java.lang.Object
      implements FontCollection

  Sets up a typical Base 12 font configuration for AFP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPBase12FontCollection(AFPEventProducer eventProducer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPBase12FontCollection

          public AFPBase12FontCollection(AFPEventProducer eventProducer)

      Parameters:
        `eventProducer` - the AFP-specific event producer

  - ### Method Detail

    - #### setup

          public int setup(int start,
                           FontInfo fontInfo)

      Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.
      Specified by:
        `setup` in interface `FontCollection`
      Parameters:
        `start` - the font starting number
        `fontInfo` - the font info to set up
      Returns:
        the starting font number for the next font to be added

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.